# FreshCoffee
A library mod that ensures you are running a supported version of Java and can install a supported one if you are not.

FreshCoffee is Minecraft version-independent.

## Changelog
[View Changelog](CHANGELOG.md)

## How To Include
Add this to ``build.gradle``:
```gradle
repositories {
    maven { url 'https://maven.thebrokenrail.com' }
}
dependencies {
    modRuntime 'com.thebrokenrail:freshcoffee:VERSION'
    include 'com.thebrokenrail:freshcoffee:VERSION'
    // VERSION = "<Mod Version>+<MC Version>", for example "1.0.0+1.16.2"
}
```

You can set a minimum version of Java by adding this to ``fabric.mod.json``:
```json
{
    "custom": {
        "freshcoffee:minimum_java_version": 14
    }
}
```

You can set a maximum version of Java by adding this to ``fabric.mod.json``:
```json
{
    "custom": {
        "freshcoffee:maximum_java_version": 14
    }
}
```