package com.thebrokenrail.freshcoffee.config;

import java.io.File;

public final class HardcodedConfig {
    public static final String MINIMUM_JSON_KEY = "freshcoffee:minimum_java_version";
    public static final String MAXIMUM_JSON_KEY = "freshcoffee:maximum_java_version";

    public static final String TITLE = "FreshCoffee";

    public static final String INSTALL_BUTTON = "Install";
    public static final String EXIT_BUTTON = "Exit";

    public static final File INSTALL_DIR = new File(System.getProperty("user.home"), ".freshcoffee");

    public static final String LIMIT_TEXT = "version %s required by %s";

    public static final String JAVA_IMPLEMENTATION = "hotspot";
    public static final String HEAP_SIZE = "normal";

    public static final String OUTDATED_JAVA_MESSAGE = "An installed mod requires a newer version of Java (%s).";
    public static final String OUTDATED_JAVA_WITH_OFFER_MESSAGE = OUTDATED_JAVA_MESSAGE + " Would you like to install it?\n%s will be downloaded.";
    public static final String MINIMUM_HIGHER_THAN_MAXIMUM_MESSAGE = "The minimum required version of Java (%s) is greater\nthan the maximum allowed version of Java (%s).";
}
